import { IConfigService, ConfigServiceBase, ProjectConfig } from "./ProjectConfigService";
import IConfigFetcher from "./ConfigFetcher";
import ICache from "./Cache";
import { LazyLoadConfiguration } from "./ConfigCatClientConfiguration";
export declare class LazyLoadConfigSerivce extends ConfigServiceBase implements IConfigService {
    private cacheTimeToLiveSeconds;
    constructor(configFetcher: IConfigFetcher, cache: ICache, config: LazyLoadConfiguration);
    getConfig(callback: (value: ProjectConfig) => void): void;
    refreshConfig(callback?: (value: ProjectConfig) => void): void;
}
