"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ProjectConfigService_1 = require("./ProjectConfigService");
var ManualPollService = /** @class */ (function (_super) {
    __extends(ManualPollService, _super);
    function ManualPollService(configFetcher, cache, config) {
        var _this = this;
        config.validate();
        _this = _super.call(this, configFetcher, cache, config) || this;
        return _this;
    }
    ManualPollService.prototype.getConfig = function (callback) {
        callback(this.cache.Get());
    };
    ManualPollService.prototype.refreshConfig = function (callback) {
        this.refreshLogicBase(this.cache.Get(), function (newConfig) {
            if (callback) {
                callback(newConfig);
            }
        });
    };
    return ManualPollService;
}(ProjectConfigService_1.ConfigServiceBase));
exports.ManualPollService = ManualPollService;
