import IConfigFetcher from "./ConfigFetcher";
import ICache from "./Cache";
import { AutoPollConfiguration } from "./ConfigCatClientConfiguration";
import { IConfigService, ProjectConfig, ConfigServiceBase } from "./ProjectConfigService";
export declare class AutoPollConfigService extends ConfigServiceBase implements IConfigService {
    private timer;
    private maxInitWaitExpire;
    private configChanged;
    static readonly ON_CHANGED_EVENT: string;
    constructor(configFetcher: IConfigFetcher, cache: ICache, autoPollConfig: AutoPollConfiguration);
    getConfig(callback: (value: ProjectConfig) => void): void;
    refreshConfig(callback?: (value: ProjectConfig) => void): void;
    private refreshLogic;
}
