import { ProjectConfig } from "./ProjectConfigService";
export interface IConfigFetcher {
    fetchLogic(lastProjectConfig: ProjectConfig, callback: (newProjectConfig: ProjectConfig) => void): void;
}
export declare class HttpConfigFetcher implements IConfigFetcher {
    url: string;
    productVersion: string;
    constructor(url: string, productVersion: string);
    fetchLogic(lastProjectConfig: ProjectConfig, callback: (newProjectConfig: ProjectConfig) => void): void;
}
export default IConfigFetcher;
