"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ProjectConfigService_1 = require("./ProjectConfigService");
var LazyLoadConfigSerivce = /** @class */ (function (_super) {
    __extends(LazyLoadConfigSerivce, _super);
    function LazyLoadConfigSerivce(configFetcher, cache, config) {
        var _this = this;
        config.validate();
        _this = _super.call(this, configFetcher, cache, config) || this;
        _this.cacheTimeToLiveSeconds = config.cacheTimeToLiveSeconds;
        return _this;
    }
    LazyLoadConfigSerivce.prototype.getConfig = function (callback) {
        var p = this.cache.Get();
        if (p && p.Timestamp < new Date().getTime() + (this.cacheTimeToLiveSeconds * 1000)) {
            callback(p);
        }
        this.refreshLogicBase(p, function (newConfig) {
            callback(newConfig);
        });
    };
    LazyLoadConfigSerivce.prototype.refreshConfig = function (callback) {
        var p = this.cache.Get();
        this.refreshLogicBase(p, function (newConfig) {
            callback(newConfig);
        });
    };
    return LazyLoadConfigSerivce;
}(ProjectConfigService_1.ConfigServiceBase));
exports.LazyLoadConfigSerivce = LazyLoadConfigSerivce;
