import { IConfigService, ProjectConfig, ConfigServiceBase } from "./ProjectConfigService";
import { ManualPollConfiguration } from "./ConfigCatClientConfiguration";
import IConfigFetcher from "./ConfigFetcher";
import ICache from "./Cache";
export declare class ManualPollService extends ConfigServiceBase implements IConfigService {
    constructor(configFetcher: IConfigFetcher, cache: ICache, config: ManualPollConfiguration);
    getConfig(callback: (value: ProjectConfig) => void): void;
    refreshConfig(callback?: (value: ProjectConfig) => void): void;
}
